Subject: Re: [External] : Re: bug#51465: 27.2; `face-all-attributes' doc or behavior (?)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Oct 2021 19:19:56 +0300

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 29 Oct 2021 16:11:22 +0000
> 
> > No, it isn't wrong: the "default attributes for newly created frames"
> > are those the face has before applying the definitions in defface.
> 
> Hopefully that is what you've added to the doc, to clarify it.

Yes.

> That said and done, what a user expects as the
> "default" behavior (for new frames, for example)
> is very likely to differ from this other kind of
> "default".

When the frame is created, you see the faces after application of the
spec in defface, so these defaults are never seen in that case.

> I hope you've come up with some terminology to
> distinguish the two, i.e., some way to talk about
> (what I expect is) the more immediate/likely user
> understanding of "default" for new frames. 

I see no reason to invent new terminology.  I just explained what
those defaults are and why they aren't seen after the frame is
created.

> > > (what's the point of returning `unspecified' everywhere?).
> > 
> > Only if no default values were defined via set-face-attribute.
> 
> OK, but what's the point in that case, even if
> it's the only case?  Not a rhetorical question.
> I expect there is some use/point; but I have no
> idea what it might be.

I don't know either.  This is an old function; perhaps it can be
useful in some rare cases.